using Infrastructure.Extensions;

namespace Infrastructure.Tests;

public class MiddlewareTests
{
    [Fact]
    public async Task NotFoundMiddlewareShouldReturn404()
    {
        using var host = await new HostBuilder().ConfigureWebHost(builder =>
        {
            builder.UseTestServer().Configure(app => { app.UseMiddleware<NotFoundMiddleware>(); });
        }).StartAsync();
        var response = await host.GetTestClient().GetAsync("/404");
        var content = await response.Content.ReadAsStringAsync();
        var message = content.Deserialize<MessageData>();
        Assert.Equal(HttpStatusCode.OK, response.StatusCode);
        Assert.Equal(HttpStatusCode.NotFound.GetHashCode(), message.Code);
    }
}