﻿namespace Infrastructure.Attributes;

/// <summary>
/// 幂等性Attribute
/// </summary>
/// <param name="parameter">用于获取请求参数的key,比如form或者body参数的名称</param>
/// <param name="seconds">判定时长</param>
/// <param name="message">返回消息</param>
[AttributeUsage(AttributeTargets.Method, Inherited = false)]
public sealed class IdempotencyAttribute(string parameter, int seconds = 5, string message = "invalid request")
    : Attribute
{
    public string Parameter { get; } = parameter;

    public int Seconds { get; } = seconds;

    public string Message { get; } = message;
}