﻿namespace Infrastructure;

/// <summary>
/// 客户端返回统一封装
/// </summary>
/// <param name="successful"></param>
/// <param name="message"></param>
/// <param name="code"></param>
public class MessageData(bool successful, string message, int code = 500)
{
    public bool Successful { get; set; } = successful;

    public int Code { get; set; } = code;

    public string Message { get; set; } = message;
}

public class MessageData<T>(T data, bool successful, string message, int code = 500)
    : MessageData(successful, message, code)
{
    public T Data { get; set; } = data;
}