namespace Infrastructure.Middlewares;

/// <summary>
/// 访问路由404自定义中间件
/// </summary>
/// <param name="next"></param>
public class NotFoundMiddleware(RequestDelegate next)
{
    public async Task InvokeAsync(HttpContext context)
    {
        await next(context);

        if (context.Response.StatusCode == StatusCodes.Status404NotFound)
        {
            var path = context.Request.Path.Value;
            var message = new MessageData(false, $"request path: {path} not found", 404);
            context.Response.ContentType = "application/json";
            context.Response.StatusCode = StatusCodes.Status200OK;
            await context.Response.WriteAsync(message.Serialize());
        }
    }
}