﻿namespace Infrastructure;

/// <summary>
/// 分页数据
/// </summary>
/// <param name="page">当前页</param>
/// <param name="pageSize">当前页数量</param>
/// <param name="totalPages">总页数量</param>
/// <param name="totalItems">总条目数量</param>
/// <param name="data">返回数据</param>
/// <typeparam name="T">实体类型</typeparam>
public class PageData<T>(int page, int pageSize, int totalPages, long totalItems, List<T> data)
{
    public int Page { get; set; } = page;

    public int PageSize { get; set; } = pageSize;

    public int TotalPages { get; set; } = totalPages;

    public long TotalItems { get; set; } = totalItems;

    public List<T> Data { get; set; } = data;
}