namespace Infrastructure.Seed;

public static class DatabaseContextExtensions
{
    public static IServiceCollection GenerateTablesByClass<T>(this IServiceCollection services,
        DatabaseSeed databaseSeed
    ) where T : class, new()
    {
        ArgumentNullException.ThrowIfNull(services);
        databaseSeed.GenerateTablesByClass<T>();
        return services;
    }

    public static IServiceCollection GenerateSeedAsync<T>(this IServiceCollection services,
        DatabaseSeed databaseSeed, string seedFile)
        where T : class, new()
    {
        ArgumentNullException.ThrowIfNull(services);
        databaseSeed.GenerateSeedAsync<T>(seedFile);
        return services;
    }
}